Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc.sl
Class IServeSLCommServer.SLChatbotTestServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              ix.util.http.HttpObjectServlet
                  ix.util.http.HttpStringServlet
                      ix.iserve.ipc.sl.IServeSLCommServer.SLChatbotTestServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Enclosing class:
  IServeSLCommServer

     class IServeSLCommServer.SLChatbotTestServlet

extends HttpStringServlet

Sends a `ChatMessage` to whatever agent has registered as "chat-service".

Field Summary

Fields inherited from class ix.util.http.HttpObjectServlet
`responseCharsetName, responseContentType, util`

Constructor Summary
`IServeSLCommServer.SLChatbotTestServlet()`

Method Summary
`protected java.lang.String` | `handleRequest(javax.servlet.http.HttpServletRequest req, java.lang.String contents)`

Methods inherited from class ix.util.http.HttpStringServlet
`decodeReceived, encodeForSend, handleRequest, main`

Methods inherited from class ix.util.http.HttpObjectServlet
`describeRequest, doPost, readRequest, sendResponse, setResponseCharsetName, setResponseContentType`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IServeSLCommServer.SLChatbotTestServlet

    IServeSLCommServer.SLChatbotTestServlet()

Method Detail

### handleRequest

    protected java.lang.String handleRequest(javax.servlet.http.HttpServletRequest req,
                                             java.lang.String contents)
                                      throws HttpRequestException

  Specified by:
    `handleRequest` in class `HttpStringServlet`
  Throws:
    `HttpRequestException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD